Skip to main content

Get all properties

GEThttps://api.propexo.com/v1/properties/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external property id

x_property_id string

Deprecated: Use x_id instead

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the property.

is_active object

Active status of the property in the PMS. Please note this is a separate value to the property's status in Propexo which can be fetched using the 'Get all my property configurations' endpoint.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderByobject[]required

    The order of the results

    hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the property

    Example: clwktsp9v000008l31iv218hn
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: 2022-03-15T00:00:00.000Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: 65
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: 87
    x_building_idnullrequired

    The external ID of the building (not necessarily the property) from the integration vendor

    Notice

    This field will always be null for RENTVINE

    Example: null
    building_numbernullrequired

    The building number associated with the property

    Notice

    This field will always be null for RENTVINE

    Example: null
    citystring | nullnullablerequired

    The city associated with the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: Austin
    codenullrequired

    The code associated with the property

    Notice

    This field will always be null for RENTVINE

    Example: null
    countrystring | nullnullablerequired

    The country associated with the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: US
    countystring | nullnullablerequired

    The county associated with the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: Travis
    custom_dataobject | nullnullablerequired
    is_activeboolean | nullnullablerequired

    Whether the property is active. This reflects whether the property is active in the PMS. To see if a property is enabled in Propexo, please use the 'Get all my property configurations' endpoint.

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: true
    manager_emailstring | nullnullablerequired

    The email address of the property manager

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    manager_namestring | nullnullablerequired

    The name of the property manager

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: Alex Morgan
    manager_phone_1nullrequired

    The first phone number of the property manager

    Notice

    This field will always be null for RENTVINE

    Example: null
    manager_phone_1_typenullrequired

    The type of the first phone number of the property manager

    Notice

    This field will always be null for RENTVINE

    Example: null
    manager_phone_2nullrequired

    The second phone number of the property manager

    Notice

    This field will always be null for RENTVINE

    Example: null
    manager_phone_2_typenullrequired

    The type of the second phone number of the property manager

    Notice

    This field will always be null for RENTVINE

    Example: null
    namestring | nullnullablerequired

    The name of the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: Market Street Apartments
    notesstring | nullnullablerequired

    Notes associated with the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: Lot 12, Block 4, Sample Subdivision
    number_of_unitsinteger | nullnullablerequired

    The number of units in the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}

    Possible values: >= 0

    Example: 10
    square_footagenullrequireddeprecated

    Deprecated: Use square_feet

    Notice

    This field will always be null for RENTVINE

    Example: null
    square_feetinteger | nullnullablerequired

    The square footage of the property

    Notice

    This field is not currently hydrated for RENTVINE

    statestring | nullnullablerequired

    The state associated with the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: TX
    street_address_1string | nullnullablerequireddeprecated

    Deprecated: Use address_1

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    street_address_2string | nullnullablerequireddeprecated

    Deprecated: Use address_2

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    address_1string | nullnullablerequired

    The first address line associated with the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: 1200 Market Street
    address_2string | nullnullablerequired

    The second address line associated with the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: Building A
    typestring | nullnullablerequireddeprecated

    Deprecated: Use type_raw.

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    type_rawstring | nullnullablerequired

    The raw PMS type of the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: Apartment
    type_normalizedstring | nullnullablerequired

    The Propexo normalized property type

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: MULTI_FAMILY
    Show 2 variants
    • stringCOMMERCIALMULTI_FAMILYOTHERSINGLE_FAMILYSTUDENT_HOUSINGVACATION
    • string
    websitestring | nullnullablerequired

    The website URL associated with the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: https://example.com
    year_builtinteger | nullnullablerequired

    The year the property was built

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}

    Possible values: >= 0

    Example: 1998
    zipstring | nullnullablerequired

    The zip code associated with the property

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: 78701
    long_descriptionnullrequired

    A long description of the property

    Notice

    This field will always be null for RENTVINE

    Example: null
    short_descriptionnullrequired

    A short description of the property

    Notice

    This field will always be null for RENTVINE

    Example: null
    office_hours object[]required

    The office hours of the property

    Notice

    This field is not currently hydrated for RENTVINE

    day_of_weekstringrequired

    The day of the week associated with the office hours

    Notice

    This field is not currently hydrated for RENTVINE

    Show 7 enum values
    SUNDAYMONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAY
    open_timestringrequired

    The opening time for the office

    Notice

    This field is not currently hydrated for RENTVINE

    close_timestringrequired

    The closing time for the office

    Notice

    This field is not currently hydrated for RENTVINE

  • Array [
  • day_of_weekstringrequired

    The day of the week associated with the office hours

    Notice

    This field is not currently hydrated for RENTVINE

    Show 7 enum values
    FRIDAYMONDAYSATURDAYSUNDAYTHURSDAYTUESDAYWEDNESDAY
    open_timestringrequired

    The opening time for the office

    Notice

    This field is not currently hydrated for RENTVINE

    close_timestringrequired

    The closing time for the office

    Notice

    This field is not currently hydrated for RENTVINE

  • ]
  • pet_types object[]required
    Notice

    This field is not currently hydrated for RENTVINE

  • Array [
  • namestringrequired

    The name associated with the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    is_allowedboolean | nullnullablerequired

    Whether the pet type is allowed or not

    Notice

    This field is not currently hydrated for RENTVINE

    descriptionstring | nullnullablerequired

    Description of the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    notesstring | nullnullablerequired

    Notes associated with the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    deposit_rawstring | nullnullablerequired

    The deposit amount associated with the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    deposit_in_centsnumber | nullnullablerequired

    The deposit amount in cents associated with the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    Example: 100000
    fee_rawstring | nullnullablerequired

    The raw fee amount for the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    fee_in_centsnumber | nullnullablerequired

    The fee amount in cents for the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    Example: 100000
    fee_min_rawstring | nullnullablerequired

    The minimum raw fee amount for the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    fee_min_in_centsnumber | nullnullablerequired

    The minimum fee amount in cents for the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    Example: 100000
    fee_max_rawstring | nullnullablerequired

    The maxmimum raw fee amount for the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    fee_max_in_centsnumber | nullnullablerequired

    The maxmimum raw fee amount in cents for the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    Example: 100000
    rent_amount_rawstring | nullnullablerequired

    The raw rent amount for the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    rent_amount_in_centsnumber | nullnullablerequired

    The rent amount in cents for the pet type

    Notice

    This field is not currently hydrated for RENTVINE

    Example: 100000
  • ]
  • associated_owner_idsstring[]required

    The property IDs associated with the owner

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: cm22cddpn4040140560i3ijyc1a8u1eh
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum22required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: RENTVINE
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/properties/
curl https://api.propexo.com/v1/properties/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"property_id": "clwi5xiix000008l6ctdgafyh",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": "2022-03-15T00:00:00.000Z",
"x_id": "65",
"x_property_id": "87",
"x_building_id": null,
"building_number": null,
"city": "Austin",
"code": null,
"country": "US",
"county": "Travis",
"custom_data": "Unknown Type: object,null",
"is_active": true,
"manager_email": "[email protected]",
"manager_name": "Alex Morgan",
"manager_phone_1": null,
"manager_phone_1_type": null,
"manager_phone_2": null,
"manager_phone_2_type": null,
"name": "Market Street Apartments",
"notes": "Lot 12, Block 4, Sample Subdivision",
"number_of_units": 10,
"square_feet": 0,
"state": "TX",
"address_1": "1200 Market Street",
"address_2": "Building A",
"type_raw": "Apartment",
"type_normalized": "MULTI_FAMILY",
"website": "https://example.com",
"year_built": 1998,
"zip": "78701",
"long_description": null,
"short_description": null,
"office_hours": {
"day_of_week": "SUNDAY",
"open_time": "string",
"close_time": "string"
},
"pet_types": [
{
"name": "string",
"is_allowed": true,
"description": "string",
"notes": "string",
"deposit_raw": "string",
"deposit_in_cents": 100000,
"fee_raw": "string",
"fee_in_cents": 100000,
"fee_min_raw": "string",
"fee_min_in_cents": 100000,
"fee_max_raw": "string",
"fee_max_in_cents": 100000,
"rent_amount_raw": "string",
"rent_amount_in_cents": 100000
}
],
"associated_owner_ids": "cm22cddpn4040140560i3ijyc1a8u1eh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTVINE"
}
]
}